<section class="vh-100">
    <div class="container py-5 h-100">
        <div class="row d-flex justify-content-center align-items-center h-100">
            <div class="col-6">
                <div class="card shadow">
                    <div class="card-body p-5">

                        <h3 class="mb-5"><i class="pi pi-sign-in"></i> BEJELENTKEZÉS</h3>

                        <div class="form-group form-box">
                            <form class="form-signin" [formGroup]="signInForm" (ngSubmit)="loginUser()">
                                <fieldset class="form-group">
                                    <div class="form-floating mb-2">
                                        <input type="text" class="form-control" id="userName" formControlName="userName">
                                        <label for="userName">Felhasználónév *</label>
                                    </div>
                                    <div class="form-floating mb-2">
                                        <input type="password" class="form-control" id="password" formControlName="password">
                                        <label for="password">Jelszó *</label>
                                    </div>
                                    <div class="form-group">
                                        <div class="d-grid gap-2">
                                            <button class="btn btn-lg btn-primary" type="submit" [disabled]="signInForm.invalid || isLoading">Bejelentkezés</button>
                                        </div>
                                    </div>
                                </fieldset>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
